function [j] = armijo_grad_direction_dnm_f2(P1,VG,sigma,c,d,MAX_j)
j = 0;
signal = 0;
nn = size(P);
n = nn(1);
I = eye(n);
while( signal == 0 && j < MAX_j)
    Q = P1^(1/2)*expm(P1^(-1/2)*2^(-j)*VG*P1^(-1/2))*P1^(1/2); % Geodesic with direction 2^(-j)*VG starting at P1. 
    PHIQ = 1/2*trace(c*I-d*Q)^2; % Merit Function at Q.
    PHIP1  = 1/2*trace(I-2*P1^(-1)+(P1^(-1))^(2));
    ARM = PHIQ - PHIP1 - 2^(-j)*sigma*trace(VG*P1^(-1)*VG*P^(-1)); %Armijo Gradient Direction
    if(ARM > 0)
        j = j+ 1;
    else
        signal = 1;
    end  
end

if ( j >= MAX_j)
    fprintf('\nArmijo:  j not found with %d iterations.\n',MAX_j);
    return;
end
end