function [j] = armijo_newton_direction_dnm_f2(P1,VN,sigma,c,d,MAX_j)
j = 0;
signal = 0;
nn = size(P1);
n = nn(1);
I = eye(n);
while( signal == 0 && j < MAX_j)
    Q = P1^(1/2)*expm(P1^(-1/2)*2^(-j)*VN*P1^(-1/2))*P1^(1/2); % Geodesic with direction 2^(-j)*VN starting at P1.
    PHIQ  = 1/2*trace(c*I-d*Q)^2; % Merit Function at Q.
    ARM = 1/2*PHIQ - (1/2-sigma*2^(-j))*trace(c*I-d*P1)^2; % Armijo to Newton Direction.
    if(ARM > 0)
        j = j+ 1;
    else
        signal = 1;
    end
    
end

if ( j >= MAX_j)
    fprintf('\nArmijo:  j not found with %d iterations.\n',MAX_j);
    return;
end

end